#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x64c890d0, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x85711bc9, "_gpl");
SYMBOL_CRC(media_device_init, 0x75f37f1c, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x756e43ab, "_gpl");
SYMBOL_CRC(__media_device_register, 0x74d33777, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x621d5dde, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xd5e63166, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xe72e3107, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x75828d8a, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xe33e8551, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x86f79802, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x17dd2011, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x96e8c12f, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xa9c5bcbd, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x97a3625c, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xc0691192, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xa15250b0, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xc30acd0f, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xb0bf6436, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xd7f38864, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x8d5f2499, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x760aaa19, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x0991b878, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x9cf14532, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xd12ca897, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xceb7c62d, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x0cb6a81a, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x614b511a, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x7fca282b, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xaac1a73d, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x0a273bd0, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x44271f07, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xb714d607, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x8fa625cd, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xeecdc5a1, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xcf0c9c18, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xc6bf7b20, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x6a42ef45, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xa41ac678, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x419f18aa, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xc42b5f8a, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xe2cf9975, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xac29836a, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x0f3be98b, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x5efb68c8, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xff05e5b9, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xee3fead1, "_gpl");
SYMBOL_CRC(media_request_put, 0x5626710a, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x6aa3fedf, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x050b047e, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xe1137131, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xed92daf8, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xe02df5da, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xa871cc29, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xa7c477c4, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x83c00a58, "_gpl");
SYMBOL_CRC(media_device_delete, 0xf637366f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x47f701c1, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x50dd37ac, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x57020e12, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf74a36ea, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x92488e03, "device_create_file" },
	{ 0x0d0293fc, "bus_unregister" },
	{ 0xdbef98b2, "fput" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcd8d9239, "platform_bus_type" },
	{ 0x8ccf1bab, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2bca5e82, "cdev_init" },
	{ 0x414c63cd, "pci_bus_type" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x0f23efe4, "device_remove_file" },
	{ 0x6d8b428a, "bus_register" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xac5cc62e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x99abb4a7, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdd6650fb, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c528240, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa8715819, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x30304de9, "fd_install" },
	{ 0x037a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2130b8c2, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CEF93373F93DA69D803204");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
