#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xc5209de2, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xd1fc2523, "");
SYMBOL_CRC(ivtv_api, 0x25462f6a, "");
SYMBOL_CRC(ivtv_vapi, 0x6d778e00, "");
SYMBOL_CRC(ivtv_vapi_result, 0x5243fc9a, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x8de8bd6b, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x00f37a06, "");
SYMBOL_CRC(ivtv_udma_setup, 0xd9d222fd, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x914f4ca3, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x62a5e609, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x731d8d99, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xdfcfcd31, "");
SYMBOL_CRC(ivtv_firmware_check, 0x5d2eebab, "");
SYMBOL_CRC(ivtv_claim_stream, 0x4055efbb, "");
SYMBOL_CRC(ivtv_release_stream, 0xb5748760, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x583b8d01, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x04d4a611, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cc1cf41, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x1a14a73e, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7bec6d36, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa1f1492a, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaa8a14e7, "pci_read_config_word" },
	{ 0x90ccedb1, "v4l2_ctrl_subscribe_event" },
	{ 0x1601b01b, "v4l2_fh_init" },
	{ 0xdbf072e3, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x434c568e, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f795ae4, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x36ffa2eb, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x72eda830, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x84e48b2d, "pci_set_master" },
	{ 0x329564e9, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdb8a879e, "__v4l2_device_register_subdev" },
	{ 0xde0f7c62, "v4l2_device_register" },
	{ 0x583b775c, "param_ops_string" },
	{ 0x79466873, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeeee62b0, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca6721ea, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x97de256b, "__dma_sync_single_for_device" },
	{ 0xce54190b, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x8f12ded2, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0668ebf, "v4l2_ctrl_new_std" },
	{ 0x4b39066b, "v4l2_ctrl_g_ctrl" },
	{ 0xe6db7eb2, "cx2341x_handler_init" },
	{ 0x3620f6a5, "cx2341x_handler_set_50hz" },
	{ 0xd23a6f35, "v4l2_ctrl_handler_free" },
	{ 0x8e138b6b, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x383fa402, "dma_set_mask" },
	{ 0x3b7e270c, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x29b2b2e9, "v4l2_subdev_call_wrappers" },
	{ 0x0e04ce88, "dma_unmap_sg_attrs" },
	{ 0xfef6bf31, "v4l2_event_queue" },
	{ 0x357f510d, "v4l2_i2c_new_subdev" },
	{ 0xadb93116, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfde96527, "param_ops_int" },
	{ 0x9e6dc0fc, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x09895674, "video_device_release_empty" },
	{ 0x81d03519, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfc45418c, "pci_write_config_dword" },
	{ 0x108f14c9, "v4l2_event_unsubscribe" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9b37112c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2cd1b246, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf79f15d7, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x784d619e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5bfb242, "i2c_bit_add_bus" },
	{ 0xf85cf6f6, "v4l2_fh_del" },
	{ 0x5c81ee1b, "v4l2_i2c_new_subdev_board" },
	{ 0x173df289, "kthread_flush_worker" },
	{ 0xc341eb11, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xabd816aa, "dma_unmap_page_attrs" },
	{ 0x4bed8b9a, "request_firmware" },
	{ 0x9fbc9184, "__pci_register_driver" },
	{ 0x9d5e16f3, "v4l2_ctrl_handler_init_class" },
	{ 0xcf18f4f5, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x080eaf00, "unpin_user_pages" },
	{ 0xe942697e, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x21ae7e53, "i2c_transfer_buffer_flags" },
	{ 0x103c2689, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ee70da1, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3f009a7, "wake_up_process" },
	{ 0xce5023d3, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19798f44, "dma_map_page_attrs" },
	{ 0xe86baf04, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xae34679b, "v4l2_ctrl_handler_log_status" },
	{ 0x0b67309b, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29eeebeb, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x5281dbc3, "i2c_new_scanned_device" },
	{ 0x81fe7bdf, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x170a8fcc, "kthread_queue_work" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe19cee93, "__free_pages" },
	{ 0x0bfff9c3, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8efc3f13, "__v4l2_ctrl_s_ctrl" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
