#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0xfc5d3079, "_gpl");
SYMBOL_CRC(rc_map_register, 0xb960f15c, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x2ed90ced, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x0ffc85df, "_gpl");
SYMBOL_CRC(rc_keyup, 0xdeeab317, "_gpl");
SYMBOL_CRC(rc_repeat, 0xfc750006, "_gpl");
SYMBOL_CRC(rc_keydown, 0x38acce30, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x410def4d, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x0a55d2b6, "_gpl");
SYMBOL_CRC(rc_free_device, 0xce76fd69, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x2092d6f6, "_gpl");
SYMBOL_CRC(rc_register_device, 0x208aa5d6, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0x25f1e163, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x3b443594, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xf96c7732, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0xc09285d4, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0xe22c139d, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0xfc3915ef, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x40bed606, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0xdae02946, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x18dc6848, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0x3bfc8b7f, "");
SYMBOL_CRC(lirc_scancode_event, 0x04b6bf01, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1b6b5fe6, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8e437a73, "__module_get" },
	{ 0x2130b8c2, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3ac2f42b, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3f009a7, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbba6d9f2, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x47f701c1, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x20b6222e, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50dd37ac, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0xf74a36ea, "module_put" },
	{ 0x8dccf209, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdbef98b2, "fput" },
	{ 0xec898cc1, "_dev_err" },
	{ 0xefdf7156, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3289d90e, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x535b6a73, "class_unregister" },
	{ 0x36ffa2eb, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbadae2bf, "device_del" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3d5aab4d, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeeee62b0, "kthread_create_on_node" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa710045c, "stream_open" },
	{ 0xd531f2c1, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x678d3a68, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2bca5e82, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbdb3936f, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdd6650fb, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x9c528240, "cdev_device_del" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2bfb7100, "led_trigger_register_simple" },
	{ 0x1057a279, "bsearch" },
	{ 0xa8715819, "device_initialize" },
	{ 0x0cb052dd, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3e73335, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "044656005F022B7ED24E637");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
