#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x0914c9cf, "__dynamic_netdev_dbg" },
	{ 0xb2b9d1b6, "call_switchdev_notifiers" },
	{ 0x3251d136, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcfb1b54d, "spi_get_device_id" },
	{ 0x4a1c9dcf, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1ffe12b, "device_property_read_bool" },
	{ 0x6f88d83d, "devm_gpiod_get_optional" },
	{ 0x1db1f71f, "spi_bus_lock" },
	{ 0xabc6488d, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2b406be1, "spi_bus_unlock" },
	{ 0xf2654e07, "devm_mdiobus_alloc_size" },
	{ 0x2d1f7422, "__devm_mdiobus_register" },
	{ 0x1a0c8269, "devm_alloc_etherdev_mqs" },
	{ 0x52bfc43b, "device_get_ethdev_address" },
	{ 0xcfbce574, "netif_carrier_off" },
	{ 0xd74ed2e5, "get_phy_device" },
	{ 0x0a2e1095, "phy_connect" },
	{ 0xfc3560f4, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xfa93aae6, "devm_request_threaded_irq" },
	{ 0x61096190, "devm_register_netdev" },
	{ 0x952b7a28, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x87973466, "netif_tx_wake_queue" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x59f16cf4, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x01b99a14, "dev_addr_mod" },
	{ 0xad822fd6, "eth_prepare_mac_addr_change" },
	{ 0xac146222, "phy_start" },
	{ 0xbf1e0f47, "ethtool_op_get_link" },
	{ 0xbede0e70, "phy_ethtool_get_link_ksettings" },
	{ 0xd409bd5d, "phy_ethtool_set_link_ksettings" },
	{ 0xfb12accd, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x54ffe240, "phy_disconnect" },
	{ 0x0081f896, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x039f5e20, "phy_do_ioctl" },
	{ 0xbb1d27c4, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x0c69d8f2, "__spi_register_driver" },
	{ 0x04cda865, "driver_unregister" },
	{ 0x59e01cb7, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x985bc51d, "__netdev_alloc_skb" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0x1b979028, "skb_pull" },
	{ 0xc5fd2f3d, "eth_type_trans" },
	{ 0x1cc2f13a, "netif_rx" },
	{ 0x67e3cb20, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0x3c000adf, "skb_dequeue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
