#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xec685834, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xaba0ccc5, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xf39eeff7, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x8c3729c2, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xe28bd0fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcb0a47d5, "eth_header_parse" },
	{ 0x9cb3c1bc, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9ce41516, "eth_header_cache_update" },
	{ 0x7d7835b3, "nf_register_net_hooks" },
	{ 0x7fbac821, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x08438d58, "ip_route_input_noref" },
	{ 0x638f61fb, "__dev_get_by_index" },
	{ 0xdc42620a, "rtnl_link_unregister" },
	{ 0x1b979028, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67e3cb20, "sk_skb_reason_drop" },
	{ 0x2767a685, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2bb5a08, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8b150101, "ns_capable" },
	{ 0x168c211d, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf1e0f47, "ethtool_op_get_link" },
	{ 0xd06bc453, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7583319c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x904dc924, "__pskb_pull_tail" },
	{ 0x1cc2f13a, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd6c98fd3, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x834ccf00, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x17742025, "vlan_vid_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xcc390af5, "call_netdevice_notifiers" },
	{ 0xb81cd3cb, "vlan_vid_del" },
	{ 0x830c7dae, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x50863ab9, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa958a037, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x54b56bb3, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x584b9ca4, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4613562f, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x4a9d898d, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8f0e9878, "dev_change_flags" },
	{ 0x6747443a, "netdev_core_stats_inc" },
	{ 0xfe75d344, "dev_forward_skb" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7dcbbf9f, "register_netdevice" },
	{ 0x2a7cc01d, "__do_once_done" },
	{ 0xbea64728, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe16f92cc, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfd89c3fa, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc8c88671, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x41de19af, "netdev_update_features" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0x78c11a2e, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x308915f0, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x039ab46e, "rtnl_link_register" },
	{ 0x16b8a3e4, "netif_inherit_tso_max" },
	{ 0x87b412de, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0x5c841e08, "pcpu_hot" },
	{ 0x59852e91, "ip_route_output_flow" },
	{ 0x81d50a9f, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdfc2dbe6, "dev_uc_unsync" },
	{ 0x2994f5a9, "ether_setup" },
	{ 0x952b7a28, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71d16ba6, "netdev_upper_dev_link" },
	{ 0x3976e24b, "register_pernet_subsys" },
	{ 0x01b99a14, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB58FA724CDA66279765F9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
