#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x385adc39, "");
SYMBOL_CRC(ntb_unregister_client, 0xe555c5ca, "");
SYMBOL_CRC(ntb_register_device, 0x5f523e8e, "");
SYMBOL_CRC(ntb_unregister_device, 0xabea4e27, "");
SYMBOL_CRC(ntb_set_ctx, 0x9e4f5ecb, "");
SYMBOL_CRC(ntb_clear_ctx, 0xd39b9266, "");
SYMBOL_CRC(ntb_link_event, 0x7f93327f, "");
SYMBOL_CRC(ntb_db_event, 0x614a869c, "");
SYMBOL_CRC(ntb_msg_event, 0xdba4802c, "");
SYMBOL_CRC(ntb_default_port_number, 0x1c65d4c5, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x10fcfbed, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xa6e554a3, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x8ada9e92, "");
SYMBOL_CRC(ntb_msi_init, 0x13a83df6, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x48351062, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x0cc245e9, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xa9fe2f99, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xd4d2e589, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x3ce2857b, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x56173627, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd6650fb, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf8c43b3, "devm_iounmap" },
	{ 0x8d071e46, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7086c2a8, "devres_destroy" },
	{ 0x066b4d8f, "msi_unlock_descs" },
	{ 0xcf18f4f5, "devm_ioremap" },
	{ 0x2130b8c2, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x02d4d805, "msi_lock_descs" },
	{ 0x3ac2f42b, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50dd37ac, "put_device" },
	{ 0x14f82bfe, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x0d0293fc, "bus_unregister" },
	{ 0xac368365, "devm_kfree" },
	{ 0x63a3dd50, "irq_get_irq_data" },
	{ 0x3289d90e, "__devres_alloc_node" },
	{ 0x04cda865, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x51c15fc9, "device_register" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7e24f0bc, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xdbf32c6e, "msi_next_desc" },
	{ 0x9c496b1b, "driver_register" },
	{ 0x6d8b428a, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xfa93aae6, "devm_request_threaded_irq" },
	{ 0x4a1c9dcf, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
