#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x43c30ecb, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xb870cdbb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x5c841e08, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x1537132f, "nd_btt_arena_is_valid" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6e4aca77, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce5023d3, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x143fea47, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc46fa6d, "debugfs_create_x64" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xbb1b5556, "nd_dev_to_uuid" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0x4cc9eb66, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x14eb4f56, "bio_endio" },
	{ 0xf1e411c2, "nd_region_release_lane" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x2c536805, "set_capacity" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdff8510e, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x058eb07c, "del_gendisk" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x71cb9437, "to_nd_btt" },
	{ 0xc416e7b2, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf166fdd5, "debugfs_create_u32" },
	{ 0xbad26d46, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf0f348c, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x22460bd9, "nvdimm_namespace_capacity" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a70baa7, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa4315ebd, "badblocks_check" },
	{ 0xda90593c, "nd_btt_version" },
	{ 0x98f2728d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x008624b6, "bio_integrity_prep" },
	{ 0x162503e0, "__blk_alloc_disk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4a1c9dcf, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5dacdc79, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x81304407, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x45b4a4f7, "debugfs_create_u16" },
	{ 0x97aaae37, "to_nd_region" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "B14EEE3169769A63869E2CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
