#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xd9eb044a, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x84a4f1e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x5dd08daa, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x0f23efe4, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92488e03, "device_create_file" },
	{ 0x51364cb6, "single_open" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0xb72ad59d, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe41f6a5c, "platform_device_unregister" },
	{ 0xb8375dd2, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1ed1da87, "led_classdev_notify_brightness_hw_changed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x3e1d4e74, "pci_find_bus" },
	{ 0x9fe781b1, "pci_bus_read_config_dword" },
	{ 0xcea56039, "pci_get_slot" },
	{ 0xb48f5c9f, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x4b2c89e0, "pci_stop_and_remove_bus_device" },
	{ 0xfd2b553b, "pci_scan_single_device" },
	{ 0x35c35877, "pci_bus_assign_resources" },
	{ 0x1937a380, "pci_bus_add_device" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xfa0c04d8, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xd4e396a0, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x832aad14, "backlight_device_unregister" },
	{ 0x0cb052dd, "input_unregister_device" },
	{ 0xdff8510e, "debugfs_remove" },
	{ 0x0e17c2d5, "sysfs_remove_group" },
	{ 0x1b800202, "battery_hook_unregister" },
	{ 0x3d5aab4d, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x51ae869d, "sparse_keymap_report_event" },
	{ 0x67eeb40a, "backlight_force_update" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0xdf8a600d, "input_set_capability" },
	{ 0xd8c377bd, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x065b4695, "wmi_get_acpi_device_uid" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x46dbd890, "sysfs_create_group" },
	{ 0xbdb3936f, "input_allocate_device" },
	{ 0x2fb78b94, "sparse_keymap_setup" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x15ba4f8b, "devm_platform_profile_register" },
	{ 0x20b6222e, "input_register_device" },
	{ 0xbba6d9f2, "input_free_device" },
	{ 0xb363ff29, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5b47b99, "led_classdev_register_ext" },
	{ 0x52bf7f0d, "backlight_device_register" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0xc96ff6b4, "i8042_install_filter" },
	{ 0x98f2728d, "debugfs_create_dir" },
	{ 0xdf0f348c, "debugfs_create_x32" },
	{ 0xe13f745f, "debugfs_create_file_full" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe78413e8, "__pci_hp_register" },
	{ 0x9e46329a, "pci_get_device" },
	{ 0x926c3162, "pci_read_config_dword" },
	{ 0xfc45418c, "pci_write_config_dword" },
	{ 0x96caf14a, "battery_hook_register" },
	{ 0xb2946660, "seq_lseek" },
	{ 0x9f35f084, "seq_read" },
	{ 0x216d7adf, "single_release" },
	{ 0xf2b5fdd1, "device_show_string" },
	{ 0xcf4889a7, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x037a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80c46c90, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0x9aa9e91f, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "5CF3CD9B2A7343891C92C5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
