#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0xfee23c98, "");
SYMBOL_CRC(sdw_amd_exit, 0xe43d5456, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0x7dc42cec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe454b03e, "sdw_stream_remove_master" },
	{ 0xec898cc1, "_dev_err" },
	{ 0xe41f6a5c, "platform_device_unregister" },
	{ 0xa4235d96, "platform_get_resource" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8af23a9d, "__platform_driver_register" },
	{ 0xb723ba5b, "devm_kasprintf" },
	{ 0xf3eef820, "sdw_stream_add_master" },
	{ 0x452eba8c, "platform_device_register_full" },
	{ 0xbb63189f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x524fb514, "acpi_fetch_acpi_dev" },
	{ 0xdfa53ab7, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x427668b2, "sdw_bus_master_delete" },
	{ 0x05dbe8cd, "__pm_runtime_use_autosuspend" },
	{ 0x370fb25f, "__pm_runtime_disable" },
	{ 0xc76b83f5, "sdw_compute_slave_ports" },
	{ 0x9b55e69e, "sdw_bus_exit_clk_stop" },
	{ 0x9f5fbffd, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9348bc78, "sdw_bus_prep_clk_stop" },
	{ 0x4a1c9dcf, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb8375dd2, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d655d0c, "sdw_bus_clk_stop" },
	{ 0xa772e31e, "pm_runtime_set_autosuspend_delay" },
	{ 0x3aff0ddd, "sdw_bus_master_add" },
	{ 0xcf18f4f5, "devm_ioremap" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x5807b6b0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x19987bfb, "sdw_handle_slave_status" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7911f4e5, "__pm_runtime_set_status" },
	{ 0x8251b31c, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4744a3f7, "pm_runtime_enable" },
	{ 0x5783bb35, "fwnode_property_read_u32_array" },
	{ 0xa28ac302, "sdw_clear_slave_status" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "C26E7C5E282172D2978EA5B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
