#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x11e95fe8, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x012e85b6, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x1b1c1acb, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x3d8fe841, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x50a9bca8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x831ee57e, "inet_ctl_sock_create" },
	{ 0x2a237644, "inet_ioctl" },
	{ 0xf0af6191, "reuseport_add_sock" },
	{ 0x534e1636, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x35a69d19, "sk_filter_trim_cap" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3e41d28c, "perf_trace_run_bpf_submit" },
	{ 0xdbef98b2, "fput" },
	{ 0xb2eed7d3, "inet_accept" },
	{ 0x94025174, "init_net" },
	{ 0xe390fdf3, "crypto_shash_setkey" },
	{ 0x1b979028, "skb_pull" },
	{ 0x62c01193, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x511227f3, "ip6_mtu" },
	{ 0x67e3cb20, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaa7ae9c6, "__SCK__tp_func_sk_data_ready" },
	{ 0xc2ca853f, "inet_add_protocol" },
	{ 0x928fa4ce, "inet_shutdown" },
	{ 0xec9e9cdf, "sk_free" },
	{ 0x2fa7ba6a, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcb09cc9d, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x9683f7e0, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x02958c31, "skb_push" },
	{ 0x9eda40d0, "__ip_queue_xmit" },
	{ 0x97f2ff62, "kmem_cache_free" },
	{ 0xb750b14e, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x47250bca, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x8b150101, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc3557d5e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xde41c938, "inet6_ioctl" },
	{ 0x73033d1c, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x4a0fecfa, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x7583319c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf2683c5f, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xecce61e4, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x62cda843, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b9a0790, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1b82f8a2, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x904dc924, "__pskb_pull_tail" },
	{ 0x64bdca4b, "__kmem_cache_create_args" },
	{ 0x4daf75dc, "setup_udp_tunnel_sock" },
	{ 0x2da510cc, "udp_sock_create6" },
	{ 0x912f76e6, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d5843dd, "sk_common_release" },
	{ 0x63c9aeb9, "pv_ops" },
	{ 0x06b96b80, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb1fc3d29, "inet6_getname" },
	{ 0x00b3ba70, "sock_i_ino" },
	{ 0xa2e3c713, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x96a57ed4, "ip6_xmit" },
	{ 0xfe0328a0, "security_sctp_assoc_request" },
	{ 0xed4116bd, "crc32c_le_arch" },
	{ 0xcc33f52d, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x05231632, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x69f67f47, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x5576e3b8, "trace_event_buffer_reserve" },
	{ 0xfa8ec547, "__skb_checksum" },
	{ 0x919ca38f, "reuseport_alloc" },
	{ 0xf07bf869, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x49a6ec45, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x4462d879, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf4889a7, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3c22c1f6, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3bd91320, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x85dcabdb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb1b42a3a, "proc_create_net_single" },
	{ 0xb12c8bb9, "skb_copy" },
	{ 0x50863ab9, "skb_clone" },
	{ 0x2f89a59b, "inet_sk_set_state" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa958a037, "dst_release" },
	{ 0x144361e5, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xeacc4a0f, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4e315e6d, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x310274f9, "sock_gettstamp" },
	{ 0xc67aa81c, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x7468988d, "_proc_mkdir" },
	{ 0x61b1b3cb, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf186fc9d, "send_sig" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8215ed9f, "inet6_add_protocol" },
	{ 0x73790c76, "from_kuid_munged" },
	{ 0x8052e8f3, "ip_setsockopt" },
	{ 0x0cd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x997e6816, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5a3b4ce5, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xab21d773, "reuseport_detach_sock" },
	{ 0x4252c3c2, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x0f99005d, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcddda5ea, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x04e1d3c5, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x42e22011, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0xf8ef4855, "kmem_cache_destroy" },
	{ 0x0de6f205, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x70a8d3e1, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x7e618bb4, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x033cb555, "sock_i_uid" },
	{ 0xe737b1cd, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x58c46837, "inet_addr_type_table" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x282cc079, "skb_copy_bits" },
	{ 0xed22cd45, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbfb9e2e8, "sock_wfree" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xd412faaf, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x0e300354, "ip6_dst_hoplimit" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0x3f9491d7, "inet6_add_offload" },
	{ 0x872507a2, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1950cdbe, "inet6_bind" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x473eb6f7, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x4c5a3540, "l3mdev_fib_table_by_index" },
	{ 0x883cf6b4, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3c000adf, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x068f1b5a, "inet6_unregister_protosw" },
	{ 0x43e3c744, "crc32c_csum_stub" },
	{ 0xad976440, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77db62d9, "__skb_ext_del" },
	{ 0x145c5d5d, "skb_segment" },
	{ 0xc03ac33b, "trace_event_printf" },
	{ 0x63f29650, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd564daae, "udp_tunnel6_xmit_skb" },
	{ 0x7c59b3a7, "sock_common_getsockopt" },
	{ 0xe8280c5d, "inet_bind" },
	{ 0x78ba20c8, "sock_create" },
	{ 0x607dbfd2, "net_hotdata" },
	{ 0x968dc65a, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x30304de9, "fd_install" },
	{ 0x14e2d787, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x037a0cba, "kfree" },
	{ 0xf3634d87, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x5c841e08, "pcpu_hot" },
	{ 0x8adc6738, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x79cf15db, "security_sctp_assoc_established" },
	{ 0xfb88c148, "__tracepoint_sk_data_ready" },
	{ 0xaef557ef, "bpf_trace_run2" },
	{ 0xa21282bd, "sock_common_setsockopt" },
	{ 0x75fe56ca, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x59852e91, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xe256cad3, "__sk_mem_schedule" },
	{ 0xf34f0631, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x0c561687, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x590be1ca, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xb210dc8d, "sk_error_report" },
	{ 0x3976e24b, "register_pernet_subsys" },
	{ 0x6fcb77c2, "put_cmsg" },
	{ 0xd82bb813, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x7310f3fb, "register_net_sysctl_sz" },
	{ 0x6ea14fe9, "inet_sock_destruct" },
	{ 0xdb4a3176, "crypto_destroy_tfm" },
	{ 0x4758823b, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cc7a4fe, "inet_sk_get_local_port_range" },
	{ 0x2377a46f, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xe82274d5, "inet_getname" },
	{ 0x014020d9, "proto_unregister" },
	{ 0xc6cbdcb5, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x1dd4f958, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x67d91260, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xedde69b5, "inet_release" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0a53e98, "proto_register" },
	{ 0x3514428e, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xcf5aff92, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "40327D70829F638E1D816DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
