#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x6647ab49, "");
SYMBOL_CRC(hda_bus_ml_free, 0x8df7ddd2, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x48a83dec, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0x7ff44c45, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0xd6ba371d, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x55cf9124, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xb78be8ca, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x677cf16a, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x730290a6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xddf279a2, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0xd75ec631, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x64c81ab7, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x9929d181, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x872c1f81, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x19df1b0e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x6429ead7, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x4ecec54e, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x892c1385, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x82bd47dc, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xc7fbefe3, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x740fec5a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x179060df, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xe5aabe12, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xc71dc1cf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x69579c58, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x01f3c1d4, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x041236d6, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xd23c84fe, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x2a0cf7c0, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x8ab171e2, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xec1a7a41, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x18967e14, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x5f26e433, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x6096611f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b697075, "snd_hdac_ext_bus_link_power_up" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x300f7528, "snd_hdac_ext_bus_link_power_down" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x86271381, "snd_hdac_ext_bus_link_put" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "DE685653B24AD0A49EC9BDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
