#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xa279454c, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x1124830b, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x2bc52aad, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0xa2679036, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xa0565bec, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x6f33ac69, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xe017e58c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0b67309b, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29eeebeb, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xf008b924, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x0bfff9c3, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5809fae2, "vb2_plane_cookie" },
	{ 0x906ae115, "vb2_ioctl_dqbuf" },
	{ 0x1a182e69, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x94e72e14, "vb2_ioctl_prepare_buf" },
	{ 0x558f0ba6, "dma_alloc_attrs" },
	{ 0xa1adf517, "vb2_buffer_done" },
	{ 0x90ccedb1, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7f795ae4, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd0c78f84, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd5b9f22b, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x84e48b2d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x28a6e318, "vb2_fop_read" },
	{ 0xde0f7c62, "v4l2_device_register" },
	{ 0x79466873, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2ec2edf4, "dma_free_attrs" },
	{ 0xca6721ea, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8ec7dde2, "vb2_ioctl_streamon" },
	{ 0x4f101863, "vb2_fop_poll" },
	{ 0xb0668ebf, "v4l2_ctrl_new_std" },
	{ 0xd23a6f35, "v4l2_ctrl_handler_free" },
	{ 0x8e138b6b, "v4l2_device_unregister" },
	{ 0x318886f7, "pci_disable_device" },
	{ 0x383fa402, "dma_set_mask" },
	{ 0xadb93116, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfde96527, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x09895674, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x108f14c9, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x9989327b, "vb2_ioctl_reqbufs" },
	{ 0x147370cb, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa92aa94a, "vb2_dma_sg_memops" },
	{ 0x784d619e, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc6915bde, "pci_enable_device" },
	{ 0xdc051c00, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9fbc9184, "__pci_register_driver" },
	{ 0x9d5e16f3, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xe942697e, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x5dc197da, "vb2_ioctl_querybuf" },
	{ 0x4ada5a5f, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ee70da1, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "322C5C6B1DE567C581652D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
