#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x1cc0fc03, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0xf25b00df, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x0cc56a52, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x2bf45aa6, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x8027a95a, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x51529e56, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xfcf5841c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb613ae46, "genphy_read_status" },
	{ 0xfd71955d, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4a1c9dcf, "devm_kmalloc" },
	{ 0x5dd69422, "device_property_present" },
	{ 0xfaa8b677, "devm_clk_get_optional_enabled_with_rate" },
	{ 0x13f32f3d, "dev_err_probe" },
	{ 0x5b7a13f0, "phy_drivers_register" },
	{ 0xb23a309c, "phy_read_mmd" },
	{ 0xd1a74bff, "__genphy_config_aneg" },
	{ 0x942c44d2, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x79ad530c, "genphy_soft_reset" },
	{ 0x379d65b0, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xb948a49d, "phy_write_mmd" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0x2fc7a42d, "genphy_suspend" },
	{ 0xbafe77cb, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0cc59f0, "mdiobus_read" },
	{ 0x45f65622, "phy_trigger_machine" },
	{ 0x34614048, "phy_error" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "FD064005EC667A6BA9923A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
