#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x236fad53, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xf8ef62ea, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x2747aa0a, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x34cff494, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x504e1edd, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x352862d0, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xb16aca91, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xea96d503, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x2908d617, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xe9536d9a, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xbebb9c72, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xc2f14555, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x56a422be, "_gpl");
SYMBOL_CRC(usbnet_open, 0xbf8b3d7e, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xa81d7a76, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x9662958f, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xa2c72851, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xf92b4dd1, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xa568ef93, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xc0ec566a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x1efc7c0d, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x3eb25444, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xce3529dd, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x04a95a24, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x91bb63ba, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x41b7afc4, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x6cb3047d, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x0abe3faf, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xf2608106, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xa44a9a50, "");
SYMBOL_CRC(usbnet_manage_power, 0xd8475120, "");
SYMBOL_CRC(usbnet_link_change, 0x6c30bec9, "");
SYMBOL_CRC(usbnet_read_cmd, 0xcb1d6c89, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x289f4007, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xd82eeb09, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x723507ef, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x10ed64fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x616d2a77, "usb_set_interface" },
	{ 0x1e98994d, "usb_string" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x01b99a14, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1cc2f13a, "netif_rx" },
	{ 0xc5fd2f3d, "eth_type_trans" },
	{ 0x3251d136, "skb_queue_tail" },
	{ 0x0914c9cf, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf863f8ea, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x85eee324, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x107c97e3, "usb_unlink_urb" },
	{ 0x38f95028, "usb_free_urb" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f1f509d, "usb_submit_urb" },
	{ 0x952b7a28, "netdev_err" },
	{ 0x8f1edf61, "mii_ethtool_get_link_ksettings" },
	{ 0xc93e9fd6, "mii_ethtool_set_link_ksettings" },
	{ 0xc9ef3ed9, "mii_nway_restart" },
	{ 0x037a0cba, "kfree" },
	{ 0xeab73fd4, "unregister_netdev" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0xa9b8da3f, "usb_get_from_anchor" },
	{ 0xae5768e2, "usb_kill_urb" },
	{ 0xf6b998c0, "free_netdev" },
	{ 0x4357aa94, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8191c069, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd80a560c, "netif_device_attach" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xc6eb5bee, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb230caa5, "usb_autopm_get_interface" },
	{ 0xdec5cd94, "usb_autopm_put_interface" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xb3c756dd, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xfbd109c2, "mii_link_ok" },
	{ 0xbf1e0f47, "ethtool_op_get_link" },
	{ 0x270cdaaa, "usb_autopm_put_interface_async" },
	{ 0x28ce8805, "netif_carrier_on" },
	{ 0xcfbce574, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3c000adf, "skb_dequeue" },
	{ 0xe05906a5, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4f53f255, "register_netdev" },
	{ 0x4744a3f7, "pm_runtime_enable" },
	{ 0x66ee99fa, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaa7f0663, "usb_autopm_get_interface_async" },
	{ 0xf7819ede, "skb_tstamp_tx" },
	{ 0x9e7457b8, "dev_kfree_skb_any_reason" },
	{ 0xdd2ab34d, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x985bc51d, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x87973466, "netif_tx_wake_queue" },
	{ 0x5a62f6be, "usb_autopm_get_interface_no_resume" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0x65be02ac, "usb_clear_halt" },
	{ 0x75c2ffa0, "eth_mac_addr" },
	{ 0xfb12accd, "eth_validate_addr" },
	{ 0xa1620834, "ethtool_op_get_ts_info" },
	{ 0xfde96527, "param_ops_int" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
