#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x5b4531b3, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x77c05627, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x45c3c2bb, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xe89a51de, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x9c371733, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x4bfb853c, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xacecd29d, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0xad6c8e4d, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x1ebff3ea, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xbab50b9e, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x1ec168d7, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0x14db0a39, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xbcb55569, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0x498af808, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xf0d78c17, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x1d8bfaae, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x914fa3e0, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xb732ce1e, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x5b4ba5c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf645863d, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b5a2046, "pskb_expand_head" },
	{ 0x6357c2a2, "mt76_wcid_init" },
	{ 0xc3f009a7, "wake_up_process" },
	{ 0xb4e57d63, "mt76_connac_free_pending_tx_skbs" },
	{ 0xdb250b17, "mt792x_sta_statistics" },
	{ 0xf863f8ea, "skb_queue_purge_reason" },
	{ 0x532cefe6, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8950c587, "mt792x_conf_tx" },
	{ 0x35f74462, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd479dca5, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8a8dcb1a, "mt792x_get_et_sset_count" },
	{ 0x81318332, "mt76_wcid_add_poll" },
	{ 0x45992357, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc11a6b63, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x7b8c8d7d, "mt792x_init_acpi_sar_power" },
	{ 0x790fcb61, "mt792x_set_wakeup" },
	{ 0xfdb2d8dd, "mt76_wcid_key_setup" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0x3251d136, "skb_queue_tail" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xce65e982, "mt76_rx" },
	{ 0xd13dc8ad, "mt792x_load_firmware" },
	{ 0x10b90f0a, "mt76_connac_mcu_sched_scan_req" },
	{ 0x28941b6f, "mt792x_get_et_stats" },
	{ 0x2030bf40, "mt76_connac2_txwi_free" },
	{ 0xb3d46cc0, "__tracepoint_lp_event" },
	{ 0xa3aafec7, "mt76_connac_mcu_uni_add_bss" },
	{ 0x38fbb8a3, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcdacd053, "wiphy_to_ieee80211_hw" },
	{ 0xc36c00d5, "debugfs_attr_read" },
	{ 0x642036b2, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb8aaed82, "ieee80211_queue_delayed_work" },
	{ 0xae7bc2df, "devm_kmemdup" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x1b979028, "skb_pull" },
	{ 0x571edabf, "mt76_register_device" },
	{ 0x0c32f978, "mt792x_get_stats" },
	{ 0x09cd0e3f, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x58f420c3, "simple_attr_release" },
	{ 0xd0c76f46, "mt792x_mac_set_timeing" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x49fb9e43, "mt76_find_power_limits_node" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x244c701d, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x02958c31, "skb_push" },
	{ 0x40c1b850, "seq_putc" },
	{ 0x2c770db9, "ieee80211_wake_queues" },
	{ 0x5429d14e, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa2a56f1d, "ieee80211_beacon_get_template" },
	{ 0x07b69a5b, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x25047a31, "mt76_eeprom_override" },
	{ 0x02d16b2c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x66db5d6b, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x95d6c637, "mt792x_csa_timer" },
	{ 0x6607f381, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb363ff29, "devm_hwmon_device_register_with_groups" },
	{ 0xede5d850, "cfg80211_chandef_usable" },
	{ 0x5454195c, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfcc72c15, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x904dc924, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x5ae4bc34, "mt792x_tx" },
	{ 0x0cdaae32, "mt792x_get_et_strings" },
	{ 0xfa39d916, "mt76_sta_state" },
	{ 0xa8dc4459, "ieee80211_ready_on_channel" },
	{ 0xaa363177, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb723ba5b, "devm_kasprintf" },
	{ 0x00e49726, "mt792x_remove_interface" },
	{ 0x9f35f084, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f2c664c, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xea527f49, "mt792x_queues_read" },
	{ 0x72f1b4e2, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x2fe29ddc, "wiphy_rfkill_start_polling" },
	{ 0x1d29460e, "mt792x_queues_acq" },
	{ 0x013c2bbb, "ieee80211_sched_scan_results" },
	{ 0xa613eecc, "ieee80211_scan_completed" },
	{ 0x16fa4a7b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x4271a72c, "mt792x_config_mac_addr_list" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa76a18c8, "mt76_insert_ccmp_hdr" },
	{ 0x91faad31, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf4889a7, "param_ops_bool" },
	{ 0x86a361c2, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xc5af4078, "mt792x_tx_stats_show" },
	{ 0x628c81c8, "mt792x_acpi_get_mtcl_conf" },
	{ 0x9a2b990f, "mt76_rx_aggr_start" },
	{ 0x5f31c0f9, "__SCK__tp_func_lp_event" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xc31bae35, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x8ea626f6, "mt792x_mac_init_band" },
	{ 0xe13f745f, "debugfs_create_file_full" },
	{ 0x476305e5, "mt76_skb_adjust_pad" },
	{ 0x6166b1bf, "ieee80211_cqm_rssi_notify" },
	{ 0x76b8e16b, "mt792x_init_wiphy" },
	{ 0x9182aaa1, "mt76_connac_sta_state_dp" },
	{ 0xc85970cb, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x216d7adf, "single_release" },
	{ 0x96e78978, "mt76_queues_read" },
	{ 0xd04a370f, "mt76_sta_pre_rcu_remove" },
	{ 0x7a2a655c, "mt76_register_debugfs_fops" },
	{ 0x32a9da92, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xd1dd0367, "mt76_connac2_mac_write_txwi" },
	{ 0x8b9e44f9, "__mt76_set_tx_blocked" },
	{ 0xe8756417, "mt76_connac_mcu_sta_ba" },
	{ 0x421a0c83, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xdc92d234, "ieee80211_queue_work" },
	{ 0x3d70861d, "mt792x_mac_reset_counters" },
	{ 0x0101fd0c, "napi_consume_skb" },
	{ 0x28607587, "__mt76_poll" },
	{ 0xd8c89ce9, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x51364cb6, "single_open" },
	{ 0x8f3910a7, "mt76_connac_mcu_add_key" },
	{ 0xa35b3745, "mt792x_unassign_vif_chanctx" },
	{ 0x5f254948, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x52ea404d, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a42359d, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x526997f6, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x1f952985, "mt76_update_channel" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xa8d36e03, "mt792x_init_wcid" },
	{ 0x77b63353, "mt792x_init_acpi_sar" },
	{ 0x7b41787c, "mt76_init_sar_power" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x48312a30, "simple_attr_open" },
	{ 0x7bd0ca57, "ieee80211_iterate_interfaces" },
	{ 0x274a54c4, "mt792x_stop" },
	{ 0x1286f9c5, "debugfs_attr_write" },
	{ 0x657a62b2, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x78e35e7c, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x45a97c20, "ieee80211_chswitch_done" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x995f1eea, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x5513ec41, "mt792x_tx_worker" },
	{ 0x6ad16909, "mt792x_flush" },
	{ 0xf74eeac6, "mt792x_rx_get_wcid" },
	{ 0x3c000adf, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0x4a953325, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc7731fa6, "mt76_connac_mcu_set_channel_domain" },
	{ 0x1706cf97, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xeeca9ad0, "mt76_release_buffered_frames" },
	{ 0x4bed8b9a, "request_firmware" },
	{ 0x52ff8afc, "mt76_get_txpower" },
	{ 0xb7627a27, "mt76_tx_status_skb_add" },
	{ 0x846c97fd, "mt76_connac_pm_wake" },
	{ 0x9aaf5ed2, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x0df73a34, "mt792x_pm_wake_work" },
	{ 0x0369eb31, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xf5139711, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9af7841e, "mt76_connac_mcu_chip_config" },
	{ 0xb191f5ca, "mt76_get_antenna" },
	{ 0x1e1ae677, "mt792x_set_coverage_class" },
	{ 0x110316ba, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xba0d5b46, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x5c841e08, "pcpu_hot" },
	{ 0xb2946660, "seq_lseek" },
	{ 0xb796d2db, "mt76_set_stream_caps" },
	{ 0x3b9f1dee, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdaa3fb10, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x3bcdac25, "mt76_connac_mcu_update_arp_filter" },
	{ 0xb7d43f7a, "mt76_connac2_tx_check_aggr" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mt792x-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "D5A7FC759977B83987E6967");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
