#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x1a597aa6, "");
SYMBOL_CRC(rtw_pci_probe, 0x636d1682, "");
SYMBOL_CRC(rtw_pci_remove, 0x105ede41, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x96fb7068, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8cc1cf41, "__dma_sync_single_for_cpu" },
	{ 0x30121a3e, "rtw_unregister_hw" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x1b979028, "skb_pull" },
	{ 0x26eb624a, "rtw_tx_fill_tx_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x02958c31, "skb_push" },
	{ 0x558f0ba6, "dma_alloc_attrs" },
	{ 0x4e277c83, "napi_enable" },
	{ 0x065f9904, "rtw_core_init" },
	{ 0xf6b998c0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xda66cb6c, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfde080c7, "pci_iounmap" },
	{ 0x1e1510f2, "rtw_update_rx_freq_from_ie" },
	{ 0x04bbb201, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x84e48b2d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15d849f9, "ieee80211_stop_queue" },
	{ 0x985bc51d, "__netdev_alloc_skb" },
	{ 0x4a2d54cf, "rtw_rx_stats" },
	{ 0xaf7a1966, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xef9e7dad, "__netif_napi_del_locked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x07057654, "rtw_register_hw" },
	{ 0x0f42e4ec, "alloc_netdev_dummy" },
	{ 0x2ec2edf4, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf4889a7, "param_ops_bool" },
	{ 0xbb9c180f, "pci_release_regions" },
	{ 0x97de256b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3eddd94f, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x429972bb, "rtw_core_deinit" },
	{ 0xd405d395, "rtw_ops" },
	{ 0x318886f7, "pci_disable_device" },
	{ 0xa13c18ad, "napi_schedule_prep" },
	{ 0x6ce0f689, "napi_disable" },
	{ 0x9e7457b8, "dev_kfree_skb_any_reason" },
	{ 0xac80a553, "rtw_power_mode_change" },
	{ 0x9779ef69, "rtw_tx_write_data_h2c_get" },
	{ 0x6de99a3a, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x91e0280b, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x5cfbf4af, "rtw_rx_query_rx_desc" },
	{ 0x018a630c, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xde9a7447, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc58b9ce5, "rtw_tx_queue_mapping" },
	{ 0x3cd52fc2, "pcie_capability_read_word" },
	{ 0xfa93aae6, "devm_request_threaded_irq" },
	{ 0xc6915bde, "pci_enable_device" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0x14dc9466, "pci_iomap" },
	{ 0x27469326, "pci_alloc_irq_vectors" },
	{ 0x3c000adf, "skb_dequeue" },
	{ 0xcd7ad409, "ieee80211_free_hw" },
	{ 0xabd816aa, "dma_unmap_page_attrs" },
	{ 0xf96ad274, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xea36e42e, "netif_napi_add_weight_locked" },
	{ 0x7b36209d, "dev_kfree_skb_irq_reason" },
	{ 0xf2fccb5c, "pci_set_power_state" },
	{ 0xe5818060, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce5023d3, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19798f44, "dma_map_page_attrs" },
	{ 0x2fc3920a, "napi_complete_done" },
	{ 0xfcf7cb89, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x14f82bfe, "devm_free_irq" },
	{ 0x9a741c53, "__napi_schedule" },
	{ 0x3251d136, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbf456c9c, "rtw_chip_info_setup" },
	{ 0x21740037, "rtw_fw_c2h_cmd_isr" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "322EB391D5675A24A6104DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
