#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x3e8ecf74, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x0ba282d6, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0xadd72a25, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x832cda15, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0xd1931d7b, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x1b341ac5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x037a0cba, "kfree" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0x2b635d74, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x0f6b3897, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd5d6754e, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x20695ddd, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x46dbd890, "sysfs_create_group" },
	{ 0xc732cf3d, "sysfs_remove_file_ns" },
	{ 0x0e17c2d5, "sysfs_remove_group" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x6de91053, "pcim_iomap_regions" },
	{ 0x488a50dc, "pcim_iomap_table" },
	{ 0x73f011e1, "proc_thermal_wt_hint_add" },
	{ 0x01eb4dcd, "proc_thermal_rfim_add" },
	{ 0x7390c465, "proc_thermal_wt_req_add" },
	{ 0xdf6b4f3f, "proc_thermal_rapl_add" },
	{ 0xfbc8ed32, "proc_thermal_rfim_remove" },
	{ 0x098e82d4, "proc_thermal_rapl_remove" },
	{ 0x310cc7b5, "proc_thermal_wt_hint_remove" },
	{ 0x889a8501, "proc_thermal_wt_req_remove" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0x4dd60f63, "thermal_zone_device_update" },
	{ 0x63c9aeb9, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xfe171865, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec17dc8f, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8455568e, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "8AB9F948BDD66CA7D1DFCE2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
