#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x66ee99fa, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x57b88063, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0xe571540c, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0xae66bb10, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x10ea7751, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xcac20e64, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xe825051a, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x6311e16b, "_gpl");
SYMBOL_CRC(usb_get_dev, 0xcd4919ab, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xc69486e2, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xe0fb1cc9, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xb28080e8, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x5419eed2, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0xda4dbb2e, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x404c9f9a, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x163fc05b, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xe5658284, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xbc9b8588, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0xdee5207e, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x521ff076, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x242efd27, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x12d4ff15, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x1e6d0f40, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x9728510c, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0xabb6b152, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x1571e6d5, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0xdf388a0b, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0xb74ccdb0, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0xc60b901a, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x8bd22dee, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x4bc7161c, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0xba166b39, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x2f355eae, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0xe3a0bb1d, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x7dc1c94b, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xae0ecf40, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x265c8642, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x7298ee6d, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x885d2663, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xae59fe42, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xead8f5f6, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x6a5c196a, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x6516551e, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0xb7eb1410, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x9f0f9f7a, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xa554a680, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x95eacfea, "_gpl");
SYMBOL_CRC(usb_free_streams, 0xdded4239, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x89c2d4c6, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x6677f814, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x604c9444, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x3e0e358c, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xd863d2dc, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x6f319764, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x23831c11, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x17a4d2a2, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x51b92048, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x4ba470e3, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x4f2c70b7, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x353ada87, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x3936fa5e, "_gpl");
SYMBOL_CRC(usb_mon_register, 0xd9c61a81, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x55e598e2, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xb3c756dd, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x38f95028, "_gpl");
SYMBOL_CRC(usb_get_urb, 0x85eee324, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0xdd2ab34d, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x6677850a, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x3e2ed695, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xa4ceec72, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x7f1f509d, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x107c97e3, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0xae5768e2, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x04a886dc, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xe8e01796, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x8ca22494, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0xa9b8da3f, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xc6eb5bee, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x89481811, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x65d16bfc, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0x7709d634, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x9b20a176, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xc4894af1, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x908aae05, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x1eae8ca3, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x5ece5b19, "_gpl");
SYMBOL_CRC(usb_string, 0x1e98994d, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x641b8930, "_gpl");
SYMBOL_CRC(usb_get_status, 0x55a97a85, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x65be02ac, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x5425473d, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x616d2a77, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x211b6653, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x19a42554, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x847cb191, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xc10c5293, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x68c6e80f, "");
SYMBOL_CRC(usb_store_new_id, 0x648b06b3, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x7f16e2af, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xe28cdcff, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0xec7a12ff, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xaa898e95, "_gpl");
SYMBOL_CRC(usb_match_id, 0x844a076a, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0xbc6a15bb, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x6c464111, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x3ee988ac, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xa9a8aa79, "_gpl");
SYMBOL_CRC(usb_deregister, 0x4b69494f, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xd92b47e5, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x0bf366c7, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xdec5cd94, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x270cdaaa, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x966edbf3, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0xb230caa5, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0xaa7f0663, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x5a62f6be, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x4fa5ca4d, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x4aaa07aa, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x88a77fcb, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xdc96b4f2, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xcf54c38a, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x6d37d0ba, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x6ba6c2e1, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x50bcdc16, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x43ce2311, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0xb6a2d82b, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xc8f75071, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x31d6c116, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xed149ad8, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x1dc734b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcd122dac, "device_create" },
	{ 0x6b257678, "noop_llseek" },
	{ 0xac910c16, "sysfs_merge_group" },
	{ 0x570ca4a5, "phy_notify_disconnect" },
	{ 0x37706642, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x213458e9, "kernfs_find_and_get_ns" },
	{ 0x558f0ba6, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9ae5c1b5, "phy_power_on" },
	{ 0x4c90b9e1, "no_seek_end_llseek" },
	{ 0x04cda865, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x535b6a73, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x4bc751be, "sysfs_remove_file_from_group" },
	{ 0x46dbd890, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x51c15fc9, "device_register" },
	{ 0x795a5437, "acpi_get_physical_device_location" },
	{ 0xbadae2bf, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xb72b4451, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x0257f912, "system_bh_highpri_wq" },
	{ 0x09570086, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf8e7104a, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x84e48b2d, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x50c11026, "pm_runtime_no_callbacks" },
	{ 0xcd371fc7, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfc6c4977, "devm_gen_pool_create" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6cc5400b, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x63c9aeb9, "pv_ops" },
	{ 0x0e17c2d5, "sysfs_remove_group" },
	{ 0x32dea4ce, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x627c5b8c, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xad6bcae0, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc05774c8, "pm_runtime_forbid" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x2ec2edf4, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xe2c2ea90, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbb63189f, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x524fb514, "acpi_fetch_acpi_dev" },
	{ 0xcf4889a7, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x60e4b396, "kernfs_put" },
	{ 0x060ba97c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfaafae42, "inode_set_ctime_current" },
	{ 0x4a0c72db, "__register_chrdev" },
	{ 0xfeb5ba6f, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd56e2e85, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x177d644e, "kobject_uevent" },
	{ 0xe13f745f, "debugfs_create_file_full" },
	{ 0x4d7940eb, "device_pm_wait_for_dev" },
	{ 0x318886f7, "pci_disable_device" },
	{ 0x0e832d41, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5747bfe9, "dma_mmap_attrs" },
	{ 0x00d4c500, "usb_decode_interval" },
	{ 0x7c997064, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x0e04ce88, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xcf6a3642, "dev_pm_qos_add_request" },
	{ 0xa3602531, "pm_runtime_barrier" },
	{ 0x1494aa31, "__pm_runtime_suspend" },
	{ 0xfd62432c, "usb_debug_root" },
	{ 0x429bdf4f, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x177c1b8e, "set_primary_fwnode" },
	{ 0x3e1a39c8, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x05dbe8cd, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5ed85d00, "phy_calibrate" },
	{ 0xfde96527, "param_ops_int" },
	{ 0xed3fc292, "_dev_printk" },
	{ 0xdf11fe79, "dev_pm_qos_expose_flags" },
	{ 0x370fb25f, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x31b19280, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x491d248e, "device_link_add" },
	{ 0x6de99a3a, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{ 0x9c496b1b, "driver_register" },
	{ 0xbf63f5bb, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x678d3a68, "class_register" },
	{ 0x77c9c706, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2bca5e82, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9af3e3d2, "__dev_fwnode" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x76e9cd7a, "cdev_del" },
	{ 0x0f23efe4, "device_remove_file" },
	{ 0x6d8b428a, "bus_register" },
	{ 0x9b37112c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3db9722d, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x4fd5f72f, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x826bdc77, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x8cd2cc36, "device_set_wakeup_enable" },
	{ 0xac5cc62e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2b635d74, "is_acpi_device_node" },
	{ 0xbabf2e6f, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1298e763, "device_set_of_node_from_dev" },
	{ 0xbb3a6f87, "param_ops_uint" },
	{ 0x05a53793, "dma_pool_create" },
	{ 0x14230ae1, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc6915bde, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xed8dff0e, "devm_memremap" },
	{ 0xdd6650fb, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x27469326, "pci_alloc_irq_vectors" },
	{ 0x3e56c088, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2a366e8b, "dmam_alloc_attrs" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xa38b599d, "driver_remove_file" },
	{ 0xb5a0ab5b, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xea993d34, "driver_attach" },
	{ 0x8d071e46, "device_unregister" },
	{ 0xa772e31e, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9e46329a, "pci_get_device" },
	{ 0xabd816aa, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x5134844f, "sysfs_unbreak_active_protection" },
	{ 0x82c67e37, "pci_dev_run_wake" },
	{ 0xcf18f4f5, "devm_ioremap" },
	{ 0x0673b2cc, "pci_prepare_to_sleep" },
	{ 0xa8715819, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x73e6ea7b, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xec3008a8, "component_del" },
	{ 0x406366d3, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3e73335, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xddebe84e, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6b3d3870, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x0b7aac54, "pci_irq_vector" },
	{ 0x2130b8c2, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdffa887f, "kernfs_notify" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf3774e7, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbf477de2, "__put_cred" },
	{ 0x25dfc120, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xce5023d3, "dev_driver_string" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x9aa9e91f, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7911f4e5, "__pm_runtime_set_status" },
	{ 0x19798f44, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xe86baf04, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x945ad876, "pm_wakeup_dev_event" },
	{ 0xe3a42c8e, "device_reprobe" },
	{ 0x4a5eb57d, "register_acpi_bus_type" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x3c0aed19, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x41966c85, "debugfs_lookup_and_remove" },
	{ 0x50dd37ac, "put_device" },
	{ 0x4744a3f7, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xcab0423d, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xec7d635f, "phy_exit" },
	{ 0xf01f69cb, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa8c4aef6, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0xf74a36ea, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6df46f19, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x29da950c, "device_wakeup_disable" },
	{ 0x8dccf209, "compat_ptr_ioctl" },
	{ 0x1b500825, "cdev_add" },
	{ 0x92488e03, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2fff76f5, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf849dc76, "sysfs_update_group" },
	{ 0xf5d0ae75, "sysfs_unmerge_group" },
	{ 0x0d0293fc, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x3db23449, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0xea56c0af, "bus_find_device" },
	{ 0xefdf7156, "device_add" },
	{ 0x68131dac, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x0f159f3a, "init_uts_ns" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "9DA4272D8FB611E827D4D15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
