#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x9b459eab, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x3aca1246, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xa69ecf4b, "");
SYMBOL_CRC(usb_serial_resume, 0x1f6d09b7, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x641e7fbd, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xcc7ffc6e, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x54fb0e06, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x91091777, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x87aaf5c4, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xb7486090, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xc1ab5457, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xa3d9dd31, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x409230c3, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xcee73dbf, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xc1000f2b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x42755aa4, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xc35be892, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xff11a9c8, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x59a47125, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x0c620227, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x0e064efd, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x670d6c3e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe0fb1cc9, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec7a12ff, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0xc69486e2, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x50dd37ac, "put_device" },
	{ 0xcd4919ab, "usb_get_dev" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x7f1f509d, "usb_submit_urb" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0xbd231232, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf74a36ea, "module_put" },
	{ 0x86ae244b, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x844a076a, "usb_match_id" },
	{ 0x648b06b3, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x0d0293fc, "bus_unregister" },
	{ 0xec898cc1, "_dev_err" },
	{ 0xefdf7156, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x33876cb9, "tty_ldisc_ref" },
	{ 0x914a2927, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8128c9ff, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22ee3578, "tty_port_destroy" },
	{ 0xa3a9b93e, "tty_port_init" },
	{ 0xe28cdcff, "usb_driver_claim_interface" },
	{ 0x40c1b850, "seq_putc" },
	{ 0x04a886dc, "usb_poison_urb" },
	{ 0xe8e01796, "usb_unpoison_urb" },
	{ 0x04cda865, "driver_unregister" },
	{ 0xd821dae5, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcd44f705, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b69494f, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbadae2bf, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfa65dd68, "tty_port_close" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb230caa5, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2b8de4c7, "tty_register_driver" },
	{ 0x3bd91320, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xae5768e2, "usb_kill_urb" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xacab7014, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x4de0dd48, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x9c496b1b, "driver_register" },
	{ 0xd3c1d24d, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x6d8b428a, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x950260fb, "tty_port_tty_get" },
	{ 0xb28080e8, "usb_put_intf" },
	{ 0xb3c756dd, "usb_alloc_urb" },
	{ 0xdec5cd94, "usb_autopm_put_interface" },
	{ 0xac5cc62e, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x38f95028, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdd6650fb, "dev_set_name" },
	{ 0x5d06b9a7, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x6ddf7550, "tty_flip_buffer_push" },
	{ 0xea993d34, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe1e90a08, "tty_kref_put" },
	{ 0xa9a8aa79, "usb_register_driver" },
	{ 0xaa898e95, "usb_match_one_id" },
	{ 0xa8715819, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0bd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xfe82df51, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeb831dad, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0x58b95d87, "tty_hangup" },
	{ 0xf49972c6, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
