#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x9ae2d37f, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xef82cf23, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x7f6d58fb, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x1c46fd5f, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xd6eb706d, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x99a6d27d, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xd503aef5, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x8760fc04, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x3d94edbb, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xdb7fcec2, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xf739b307, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xb124f654, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x3eb2428c, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xa8ed39b0, "_gpl");
SYMBOL_CRC(dccp_connect, 0x361aa212, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xb1994603, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x80b65d54, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xbc778a68, "_gpl");
SYMBOL_CRC(dccp_done, 0x4d62e5e0, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xe2f57d03, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xa27d5310, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x3419e4f3, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xdd94f05d, "_gpl");
SYMBOL_CRC(dccp_poll, 0x228db7d5, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x5d4beefd, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x58da75f6, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xf2e82f96, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xa29512aa, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xecff370f, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xb489621e, "_gpl");
SYMBOL_CRC(dccp_close, 0x3a4008fe, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xc9423ae9, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x778ac083, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xc16cc096, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x67d91260, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1d67d577, "sk_reset_timer" },
	{ 0x3251d136, "skb_queue_tail" },
	{ 0xadd0fe8c, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3e41d28c, "perf_trace_run_bpf_submit" },
	{ 0x94025174, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x511227f3, "ip6_mtu" },
	{ 0x67e3cb20, "sk_skb_reason_drop" },
	{ 0xec9e9cdf, "sk_free" },
	{ 0x2fa7ba6a, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x02958c31, "skb_push" },
	{ 0x97f2ff62, "kmem_cache_free" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x47250bca, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc3557d5e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x73033d1c, "skb_copy_datagram_iter" },
	{ 0x292735cb, "tcp_stream_memory_free" },
	{ 0xa76b289d, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x0cf130cd, "sk_wait_data" },
	{ 0x39f665fd, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b9a0790, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x31b2e606, "inet_twsk_hashdance_schedule" },
	{ 0x64bdca4b, "__kmem_cache_create_args" },
	{ 0xa10fe59e, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x291d32d7, "inet_csk_listen_start" },
	{ 0xcd591ff9, "sk_free_unlock_clone" },
	{ 0x9ceb7879, "sock_rfree" },
	{ 0x05231632, "ipv4_mtu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x69f67f47, "skb_set_owner_w" },
	{ 0x5576e3b8, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf4889a7, "param_ops_bool" },
	{ 0x46b7e991, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x50863ab9, "skb_clone" },
	{ 0x2f89a59b, "inet_sk_set_state" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa958a037, "dst_release" },
	{ 0xeaa33432, "sk_stream_wait_connect" },
	{ 0x144361e5, "_copy_from_iter" },
	{ 0x7a1d8f7b, "inet_csk_destroy_sock" },
	{ 0x28a81b0e, "sk_stop_timer" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xe01be590, "inet_rtx_syn_ack" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfde96527, "param_ops_int" },
	{ 0x0f99005d, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x589dccff, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa0125acc, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0xf8ef4855, "kmem_cache_destroy" },
	{ 0xf3435953, "inet_csk_complete_hashdance" },
	{ 0x0de6f205, "release_sock" },
	{ 0x07dbdf55, "inet_csk_reqsk_queue_drop" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0xa30f1527, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4ad63af5, "consume_skb" },
	{ 0x2e4d0dbc, "sock_wmalloc" },
	{ 0x473eb6f7, "trace_raw_output_prep" },
	{ 0x3c000adf, "skb_dequeue" },
	{ 0xad976440, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc03ac33b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x968dc65a, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x14e2d787, "trace_event_raw_init" },
	{ 0x266f0d20, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5c841e08, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xaef557ef, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x833638d2, "inet_csk_clear_xmit_timers" },
	{ 0x00148653, "vsnprintf" },
	{ 0x7c718987, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb210dc8d, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd82bb813, "trace_event_buffer_commit" },
	{ 0x7310f3fb, "register_net_sysctl_sz" },
	{ 0x6ea14fe9, "inet_sock_destruct" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "055127683F33B3C8EADDE25");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
