#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");
KSYMTAB_FUNC(nft_ct_get_fast_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0x4f874c74, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0xab17456a, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x6749e4ba, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0xb84537d8, "_gpl");
SYMBOL_CRC(nft_request_module, 0xe244e80a, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x3a14a073, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x4e5e3860, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x1e338049, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x15fffd92, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x4aaca9e2, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x7e4725cf, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x225cc96e, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xbdc33c9a, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xfd69a9bd, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x138106d8, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x4e5d25bb, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x26dc66a8, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x66984af3, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x0bf4f462, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x0114db10, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xbf911b6e, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x7b1fdb7f, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0xa0359dcb, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xffe52672, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x5a86f6ab, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x2fcc16d3, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x3acacbd6, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x0a3b6d95, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x2a355340, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0x21e99403, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x1e7941e5, "_gpl");
SYMBOL_CRC(nft_data_init, 0x9fa60f2a, "_gpl");
SYMBOL_CRC(nft_data_release, 0xed84fe5b, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xf3e96bb0, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0xee533aed, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x031ff1cb, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x804b779f, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x61c1b2db, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xfd6c07e3, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x792af61f, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xff41d28f, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0xfc505cfc, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xfd3b1ae0, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xf6b268b8, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xa95662a4, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xe55c49c1, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x7757e9da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x983b5d0f, "__kmalloc_node_noprof" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x15f9addd, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x60608f1a, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1ddba3c5, "nfnetlink_subsys_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa6b2428a, "ip6_route_me_harder" },
	{ 0x5c841e08, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8e437a73, "__module_get" },
	{ 0x00148653, "vsnprintf" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3271b2f, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3976e24b, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6fc0aaa, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x4e17c456, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0x67d91260, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x2872ba53, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf74a36ea, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x38869e2c, "nf_unregister_net_hook" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2db534f2, "nf_register_net_hook" },
	{ 0xb2479ddd, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa07a37f0, "memchr" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x511227f3, "ip6_mtu" },
	{ 0x67e3cb20, "sk_skb_reason_drop" },
	{ 0xd4e5f1ed, "ip_route_me_harder" },
	{ 0x743645ac, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcb09cc9d, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x0b0ce405, "nfnetlink_unicast" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdbbb5423, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2f99ec79, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x7583319c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xa76b289d, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xc52ebd1b, "nfnetlink_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x904dc924, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0xe7c64ee2, "nfnetlink_subsys_unregister" },
	{ 0x3e18aeb3, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x912f76e6, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x63c9aeb9, "pv_ops" },
	{ 0x481cea34, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x231f7eef, "ipv6_find_hdr" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xed4116bd, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x05231632, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xfa8ec547, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x23bf521d, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xa958a037, "dst_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x73790c76, "from_kuid_munged" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd6f208ed, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x2a7cc01d, "__do_once_done" },
	{ 0xc5f26837, "__netlink_dump_start" },
	{ 0x1553db3f, "flow_rule_alloc" },
	{ 0xac5cc62e, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x282cc079, "skb_copy_bits" },
	{ 0x7cf9cca2, "__nlmsg_put" },
	{ 0x2dbfedf4, "skb_put" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "782C35F6688D1DFE553862D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
