#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xf625d341, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x88b544ef, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x2b468ab9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3bc857d, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd8743f19, "cs35l56_get_calibration" },
	{ 0x7911f4e5, "__pm_runtime_set_status" },
	{ 0x02f549ba, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4744a3f7, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x8e490fd9, "device_property_read_u32_array" },
	{ 0xd8ac1bc9, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc2e2256b, "cs35l56_init_cs_dsp" },
	{ 0xec898cc1, "_dev_err" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66885d2a, "cs_dsp_halo_init" },
	{ 0xc6911798, "cs_dsp_power_down" },
	{ 0xdff8510e, "debugfs_remove" },
	{ 0x5241095e, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6d5f4a33, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf2cc0510, "cs35l56_mbox_send" },
	{ 0xf3584bd2, "cs35l56_hw_init" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0xdae0ddd4, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x715ef45d, "cs_dsp_power_up" },
	{ 0x105a42a1, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6d3e0490, "cs35l56_wait_for_firmware_boot" },
	{ 0xb723ba5b, "devm_kasprintf" },
	{ 0x84ea32c1, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xadafb1dc, "cs35l56_is_fw_reload_needed" },
	{ 0x1a35733e, "regmap_read" },
	{ 0x9cd3a394, "cs_dsp_run" },
	{ 0xbb63189f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ab71db5, "cs_amp_write_cal_coeffs" },
	{ 0x764bffae, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x836cb400, "cs35l56_runtime_resume_common" },
	{ 0xa3d7c56b, "regmap_update_bits_base" },
	{ 0x13f32f3d, "dev_err_probe" },
	{ 0x16ae5b41, "regmap_multi_reg_write" },
	{ 0x1494aa31, "__pm_runtime_suspend" },
	{ 0x429bdf4f, "component_add" },
	{ 0x177c1b8e, "set_primary_fwnode" },
	{ 0x05dbe8cd, "__pm_runtime_use_autosuspend" },
	{ 0xdb7462ce, "devm_gpiod_get_index_optional" },
	{ 0x370fb25f, "__pm_runtime_disable" },
	{ 0x98f2728d, "debugfs_create_dir" },
	{ 0x9e0f091b, "cs35l56_firmware_shutdown" },
	{ 0x960ccfb5, "pm_runtime_force_suspend" },
	{ 0x77c9c706, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0fb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd0b57e2c, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x51fe6008, "regcache_cache_only" },
	{ 0x2b635d74, "is_acpi_device_node" },
	{ 0x8b23a771, "regcache_sync" },
	{ 0x97d2fc4b, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x9fa8ac89, "firmware_request_nowarn" },
	{ 0xd2396d93, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x696b7276, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd61b3838, "cs_dsp_stop" },
	{ 0xa772e31e, "pm_runtime_set_autosuspend_delay" },
	{ 0x6b38e923, "gpiod_set_value_cansleep" },
	{ 0xec3008a8, "component_del" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x423c8104, "sound_debugfs_root" },
	{ 0xd83b4153, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9395b468, "cs_dsp_init_debugfs" },
	{ 0x74fa219b, "__dynamic_dev_dbg" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F1997E49FF05EA8C6A3DB94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
