#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_DATA(ptl_chip_info, "", "SND_SOC_SOF_INTEL_LNL");

SYMBOL_CRC(sof_lnl_ops, 0x74987a95, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x6b8cf9b5, "");
SYMBOL_CRC(ptl_chip_info, 0x61a85dfa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38606a91, "hda_dsp_set_power_state_ipc4" },
	{ 0x9ee70da1, "pci_unregister_driver" },
	{ 0x55cf9124, "hdac_bus_eml_check_interrupt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x059b9cca, "mtl_dsp_cl_init" },
	{ 0xcc91ae58, "sof_hda_common_ops" },
	{ 0xa68e61b2, "mtl_enable_interrupts" },
	{ 0xca468e42, "hda_pci_intel_probe" },
	{ 0xac8824f0, "debugfs_create_bool" },
	{ 0xcbeb97fe, "sof_pci_remove" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb6bd0d8b, "mtl_dsp_ipc_get_mailbox_offset" },
	{ 0x6c0f4d03, "mtl_dsp_pre_fw_run" },
	{ 0xd8ae8c3d, "hda_set_dai_drv_ops" },
	{ 0x5d285b0f, "mtl_disable_ipc_interrupts" },
	{ 0x86197b79, "mtl_dsp_dump" },
	{ 0xe89075b7, "mtl_ipc_send_msg" },
	{ 0x6096611f, "hdac_bus_eml_enable_offload" },
	{ 0x820f9cd6, "mtl_dsp_core_get" },
	{ 0xc3c7d743, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0e108b4d, "mtl_dsp_core_put" },
	{ 0xafd22f5c, "snd_soc_acpi_intel_lnl_machines" },
	{ 0x9d80f14f, "hda_dsp_runtime_resume" },
	{ 0x537b6aef, "hda_dsp_remove" },
	{ 0x019448d3, "sof_pci_shutdown" },
	{ 0x08755a15, "__kmalloc_cache_noprof" },
	{ 0xccfffcdf, "hda_sdw_process_wakeen_common" },
	{ 0x078a57c8, "mtl_dsp_ipc_get_window_offset" },
	{ 0x8073dcbe, "hda_dsp_ipc4_load_library" },
	{ 0xd744f3d6, "hda_dsp_resume" },
	{ 0x562e5f6d, "hda_sdw_check_lcount_ext" },
	{ 0x685f0bc6, "sof_pci_pm" },
	{ 0x8001c2bf, "mtl_ipc_irq_thread" },
	{ 0x3eb453bd, "mtl_power_down_dsp" },
	{ 0x00b7f883, "kmalloc_caches" },
	{ 0x4ba5816e, "snd_soc_acpi_intel_lnl_sdw_machines" },
	{ 0x490e6a9b, "hda_dsp_probe" },
	{ 0x39d697fb, "hda_dsp_shutdown" },
	{ 0xec5e130b, "mtl_ipc_dump" },
	{ 0x9fbc9184, "__pci_register_driver" },
	{ 0x4a87e1f8, "mtl_dsp_check_ipc_irq" },
	{ 0xbe6e5726, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-mlink,snd-sof-pci-intel-mtl,snd-sof-intel-hda-generic,snd-sof-pci,snd-sof,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d0000A828sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "274836F7BBF0D132A0D79AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
